import { defineComponent as v, useCssVars as p, unref as t, toRefs as a, openBlock as m, createElementBlock as h, createElementVNode as e, toDisplayString as d, createStaticVNode as x } from "vue";
const g = { class: "obx" }, C = { class: "first" }, S = { class: "secend" }, B = ["src"], b = /* @__PURE__ */ x('<div class="thirdly" data-v-afec4472><div class="time" data-v-afec4472><div data-v-afec4472>1</div><div data-v-afec4472>3</div><div data-v-afec4472>4</div></div><div class="unit" data-v-afec4472>\u5929</div><div class="time" data-v-afec4472><div data-v-afec4472>0</div><div data-v-afec4472>6</div></div><div class="unit" data-v-afec4472>\u65F6</div><div class="time" data-v-afec4472><div data-v-afec4472>2</div><div data-v-afec4472>2</div></div><div class="unit" data-v-afec4472>\u5206</div></div>', 1), y = v({ name: "EBoundingBox04" }), V = /* @__PURE__ */ v({
  ...y,
  props: {
    chartConfig: {
      type: Object,
      required: !0
    }
  },
  setup(o) {
    const n = o;
    p((_) => ({
      "7d6e0a9f": t(f) + "px",
      "3ca080b5": t(l) + "px",
      e398669e: t(r) + "px",
      "6ce50070": t(u) + "px"
    }));
    const { titleConfig: c, titleConfig2: i, imageConfig: s } = a(
      n.chartConfig.option
    ), { fontSize: f } = a(c.value), { fontSize: l } = a(i.value), { width: r, height: u } = a(s.value);
    return (_, z) => (m(), h("div", g, [
      e("div", C, [
        e("div", null, d(t(c).text), 1),
        e("div", null, d(t(i).text), 1),
        e("div", null, d(t(i).text2), 1)
      ]),
      e("div", S, [
        e("img", {
          src: t(s).imgSrc
        }, null, 8, B)
      ]),
      b
    ]));
  }
});
export {
  V as default
};
